SDL Library Documentation
Prev |  | Next

# SDL_DisplayFormatAlpha

## Name

SDL_DisplayFormatAlpha -- Convert a surface to the display format

## Synopsis

    #include "SDL.h"

``SDL_Surface *SDL_DisplayFormatAlpha`(SDL_Surface *surface);`

## Description

This function takes a surface and copies it to a new surface of the pixel format and colors of the video framebuffer plus an alpha channel, suitable for fast blitting onto the display surface. It calls SDL_ConvertSurface

If you want to take advantage of hardware colorkey or alpha blit acceleration, you should set the colorkey and alpha value before calling this function.

## Return Value

If the conversion fails or runs out of memory, it returns NULL

## See Also

SDL_ConvertSurface, SDL_SetAlpha, SDL_SetColorKey, SDL_DisplayFormat, SDL_Surface

Prev | Home | Next
SDL_DisplayFormat | Up | SDL_WarpMouse